Click or drag to resize

RevSurfaceCreate Method (Line, Line, Double, Double)

Constructs a new surface of revolution from a generatrix line and an axis.

This overload accepts a slice start and end angles.

Results can be (truncated) cones, cylinders and circular hyperboloids, or can fail.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static RevSurface Create(
	Line revoluteLine,
	Line axisOfRevolution,
	double startAngleRadians,
	double endAngleRadians
)

Parameters

revoluteLine
Type: Rhino.GeometryLine
A generatrix.
axisOfRevolution
Type: Rhino.GeometryLine
An axis.
startAngleRadians
Type: SystemDouble
An angle in radias for the start.
endAngleRadians
Type: SystemDouble
An angle in radias for the end.

Return Value

Type: RevSurface
A new surface of revolution, or null if any of the inputs is invalid or on error.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.8
See Also